## debian-installer 20230607+deb12u13

=== debian/changelog ===
debian-installer (20230607+deb12u13) bookworm; urgency=medium

  * Bump Linux kernel ABI to 6.1.0-42.
  * Adjust linux-image build-deps as well.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 05 Jan 2026 19:38:21 +0100
