## debian-installer 20230607+deb12u13devuan1

=== debian/changelog ===
debian-installer (20230607+deb12u13devuan1) daedalus; urgency=medium

  * Merge tag 20230607+deb12u13.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 13 Jan 2026 08:18:41 +0000
