## debian-installer 20230607+parrot4

=== debian/changelog ===
debian-installer (20230607+parrot4) lory; urgency=medium

  * Bump kernel version 6.9.7.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 01 Aug 2024 18:28:33 +0200

debian-installer (20230607+parrot3) lory; urgency=medium

  * Rebuild installer with new udebs.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 27 May 2024 04:30:38 +0200

debian-installer (20230607+parrot2) lory-updates; urgency=medium

  * Use unsigned kernel and grub for i386.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 25 Jan 2024 04:06:26 +0100

debian-installer (20230607+parrot1) lory; urgency=medium

  * Import new Debian release.
  * Apply new parrot preseed.
  * Apply new grub splash background.
  * Disable secure boot (we don't support it).
  * Prepare for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 22 Jan 2024 03:21:14 +0100

debian-installer (20210731+parrot12) parrot; urgency=medium

  * Bump linux kernel ABI to 6.1.0-1parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 27 Apr 2023 02:47:00 +0200

debian-installer (20210731+parrot11) parrot; urgency=medium

  * Bump linux kernel ABI to 6.0.0-12parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 16 Jan 2023 19:18:23 +0100

debian-installer (20210731+parrot10) parrot; urgency=medium

  * Bump linux kernel ABI to 6.0.0-2parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 27 Oct 2022 22:22:54 +0200

debian-installer (20210731+parrot9) parrot; urgency=medium

  * Bump linux kernel ABI to 5.18.0-14parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 08 Aug 2022 03:38:07 +0200

debian-installer (20210731+parrot8) parrot; urgency=medium

  * Bump linux kernel ABI to 5.18.0-1parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 27 Jul 2022 15:58:58 +0200

debian-installer (20210731+parrot7) parrot; urgency=medium

  * Bump Linux kernel ABI to 5.16.0-12parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 13 Mar 2022 23:24:29 +0100

debian-installer (20210731+parrot6) parrot; urgency=medium

  * Bump Linux kernel ABI to 5.15.0-15parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 22 Feb 2022 20:26:16 +0100

debian-installer (20210731+parrot5) parrot-updates; urgency=medium

  * Rebuild using new udebs.
  * Update preseed.cfg

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 31 Jan 2022 17:05:04 +0100

debian-installer (20210731+parrot4) parrot-updates; urgency=medium

  * Rebuild using new udebs.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 28 Jan 2022 16:31:21 +0100

debian-installer (20210731+parrot3) parrot-updates; urgency=medium

  * Rebuild package to include updated udebs
    + rootskel-gtk - fixes dark theme.
    + netcfg - fixes default hostname.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 14 Jan 2022 01:16:18 +0100

debian-installer (20210731+parrot2) parrot-updates; urgency=medium

  * Rebuild package.
  * Fix typo.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 08 Jan 2022 00:23:41 +0100

debian-installer (20210731+parrot1) lts-updates; urgency=medium

  * Import new Debian release.
  * Update bootloader background.
  * Use choose direct downloads from parrot servers.
  * Bump Linux kernel ABI to 5.15.0-5parrot1.
  * Update preseed.
  * Disable secure boot (we don't support it yet).
  * Use Parrot 5.0 repo.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Jan 2022 20:13:24 +0100

debian-installer (20200529+parrot7) rolling; urgency=medium

  * Bump new kernel version (5.10.28-6parrot1).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 13 Apr 2021 15:59:54 +0200

debian-installer (20200529+parrot6) rolling; urgency=medium

  * Bump new kernel version (5.10.24-5parrot1).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 22 Mar 2021 10:04:08 +0100

debian-installer (20200529+parrot5) rolling; urgency=medium

  * Bump new kernel version (5.10.13-3parrot1).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 16 Mar 2021 03:59:58 +0100

debian-installer (20200529+parrot4) rolling; urgency=medium

  * Bump new kernel version (5.9.6-2parrot1).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 25 Nov 2020 16:59:20 +0100

debian-installer (20200529+parrot3) rolling; urgency=medium

  * Use proper kernel version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Aug 2020 20:47:15 +0200

debian-installer (20200529+parrot2) rolling; urgency=medium

  * Bump new kernel version (5.7.10-1parrot2).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Aug 2020 18:50:09 +0200

debian-installer (20200529+parrot1) rolling; urgency=medium

  * Import new Debian release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 23 Jun 2020 17:57:39 +0200

debian-installer (20200423+parrot4) rolling; urgency=medium

  * Bump new kernel version (5.6.0-2parrot1)

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 05 Jun 2020 16:23:11 +0200

debian-installer (20200423+parrot3) rolling; urgency=medium

  * Rebuild using latest debootstrap.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 28 Apr 2020 22:41:47 +0200

debian-installer (20200423+parrot2) rolling; urgency=medium

  * Fix dirty line in d/rules.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 26 Apr 2020 02:53:09 +0200

debian-installer (20200423+parrot1) rolling; urgency=medium

  * Import new Debian release.
  * Buuild for Linux Kernel 5.5.0-1parrot1.
  * Build with new udebs.
  * Update preseed file. 

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 25 Apr 2020 23:30:44 +0200

debian-installer (1:20190702+parrot18) rolling; urgency=medium

  * Rebuild installer using new udebs.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 25 Apr 2020 02:34:52 +0200


