=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
-Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
+Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Standards-Version: 4.3.0
-Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
-Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
-Origin: Devuan
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -17,7 +14,7 @@
 # 		apt-ftparchive is used for including localudebs.
 	gnupg,
 #		New versions of apt need gnupg for security checks.
-	devuan-keyring (>= 2016.11.22),
+	debian-archive-keyring (>= 2006.11.22),
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -101,11 +98,11 @@
 	emile [m68k],
 	emile-bootblocks [m68k],
 #		Bootloader for m68k/mac machines.
-	shim-signed [amd64 i386 arm64],
-	grub-efi-amd64-signed [amd64],
-	grub-efi-ia32-signed [i386],
-	grub-efi-arm64-signed [arm64],
-#	        Signed bootloader components for UEFI Secure Boot
+	shim-unsigned [amd64 i386 arm64],
+	grub-efi-amd64 [amd64],
+	grub-efi-ia32 [i386],
+	grub-efi-arm64 [arm64],
+#	        Unigned bootloader components (Parrot does not support secure boot)
 	grub-efi-arm64-bin [arm64],
 	grub-efi-ia32-bin [hurd-i386 i386],
 	grub-efi-ia64-bin [ia64],
@@ -156,7 +153,7 @@
 #		Used as the CD-ROM's bootloader
 	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
 #               Used by grub-pc to create the CD-ROM images
-	devuan-keyring [sh4 sparc64],
+	debian-ports-archive-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
 #		Used for architectures hosted on debian-ports.org
 	librsvg2-bin [any-amd64 any-i386],
 #		Used to convert splash SVG to splash PNG during build
@@ -167,15 +164,17 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.1.0-42-amd64 [amd64],
-	linux-image-6.1.0-42-arm64 [arm64],
-	linux-image-6.1.0-42-686 [i386],
-	linux-image-6.1.0-42-686-pae [i386],
+	linux-image-amd64 [amd64],
+	linux-image-arm64 [arm64],
+	linux-image-686 [i386],
+	linux-image-686-pae [i386],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
+	parrot-archive-keyring,
 
 Package: debian-installer
 Architecture: any
+Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Devuan's debian installer
- This package currently only contains some documentation for the Devuan version
- of the debian installer. We welcome suggestions about what else to put in it.
+Description: Debian Installer documentation
+ This package currently only contains some documentation for the Debian
+ installer. We welcome suggestions about what else to put in it.
