## debian-installer 20240914

=== build/Makefile ===
--- 
+++ 
@@ -95,6 +95,7 @@
 # via recursive make calls. ARCH is constant, we don't support
 # crosscompiling.
 ARCH = $(DEB_HOST_ARCH)
+OS = $(DEB_HOST_ARCH_OS)
 
 # By default, we just advertise what we can do.
 .PHONY: all
@@ -118,6 +119,7 @@
 include config/common
 include config/dir
 -include config/$(ARCH).cfg
+-include config/$(OS).cfg
 -include config/$(ARCH)/$(SUBARCH).cfg
 -include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
 -include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
@@ -160,20 +162,6 @@
 define normalise_permissions
   find $(1) -type d -print0 | xargs -0r chmod $(DIR_MODE)
   find $(1) -not -type d -and -not -type l -print0 | xargs -0r chmod $(FILE_MODE)
-endef
-
-# Limit on mfsroot size. It is determined by NKPT (in <machine/pmap.h).
-# On amd64, it can be increased by increasing this variable.  On i386,
-# this is a hard limit due to constraints of 4 GiB VM space.
-ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
-MFSROOT_LIMIT := 42m
-else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
-# See Bug#783773 for derivation.
-MFSROOT_LIMIT := 78m
-endif
-
-define mkfs.ufs1
-  sh -c 'makefs -t ffs -T $(SOURCE_DATE_EPOCH) -s $(MFSROOT_LIMIT) -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
 endef
 
 define e2fsck
@@ -384,3 +372,11 @@
 	# or fakeroot.
 	echo -n > $(TEMP)/diskusage.txt
 	set -e; \
+	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
+		if [ -f "$$udeb" ]; then \
+			pkg=`basename $$udeb` ; \
+			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
+			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
+			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
+			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
+			usedsize=`echo $$newsize - $$oldsize | bc`; \
