=== debian/changelog ===
debian-installer (20240914) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Install trixie, using trixie udebs.
  * Bump Linux kernel ABI to 6.10.9 (Closes: #1071873).
  * Bump (temporary) linux-image build-deps accordingly.
  * Makefile: unversion /boot/vmlinuz-* into /boot/vmlinuz, except on
    mips64el (KERNELNAME lists a few version+flavour items).
  * Makefile: adjust the drm/fb-modules workaround for now-compressed
    modules.
  * Update translation-status for the release.

  [ harry88@gmx.ph ]
  * Add support for Orange Pi One Plus (Closes: #980493)

  [ Holger Wansing ]
  * Update minimal RAM size value for amd64, according to lowmem value.
  * d-i i18n guide: remove win32-loader from the manual.

  [ Aurelien Jarno ]
  * Build riscv64 from the official archive.
  * Dot not include debian-ports-archive-keyring-udeb on riscv64.
  * Add a device-tree target for riscv64.
  * Switch the riscv64 netboot flavour to grub.efi.
  * Build a mini.iso in the riscv64 netboot flavour.
  * Update riscv64 netboot package list.
  * Add a cdrom flavour for riscv64.
  * Drop kfreebsd support.

  [ John Paul Adrian Glaubitz ]
  * alpha: Remove $(KERNELVERSION) suffix from KERNELNAME
  * hppa: Rewrite configuration to support sub-architectures
  * m68k: Remove $(KERNELVERSION) suffix from KERNELNAME
  * loong64: Add support for loong64 (Closes: #1057713)

  [ Samuel Thibault ]
  * Add hurd-amd64 support.

  [ Colin Watson ]
  * Clarify that partman-auto-recipe.txt is written using BNF.

  [ Helmut Grohne ]
  * extend merge-usr tool to cover base-files functionality

  [ Steve McIntyre ]
  * i386 is no longer supported for Secure Boot.
    + Disable SB in i386.cfg
    + Remove Build-Depends on shim-signed and grub-efi-ia32-signed
      there

 -- Cyril Brulebois <kibi@debian.org>  Sat, 14 Sep 2024 00:49:08 +0200
