=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>
 Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
+Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -49,7 +51,7 @@
 	genromfs [sparc sparc64],
 #		Used for creating sparc floppies (which are not built by
 #		default.)
-	dosfstools [hurd-i386 i386 ia64 m68k amd64 armhf arm64],
+	dosfstools [hurd-i386 hurd-amd64 i386 ia64 loong64 m68k amd64 armhf arm64 riscv64],
 #		For creating FAT filesystems with mkfs.msdos.
 #		Of course i386/amd64 use this for floppies, CDs etc.
 #		m68k uses it for atari floppies
@@ -98,16 +100,18 @@
 	emile [m68k],
 	emile-bootblocks [m68k],
 #		Bootloader for m68k/mac machines.
-	shim-unsigned [amd64 i386 arm64],
-	grub-efi-amd64 [amd64],
-	grub-efi-ia32 [i386],
-	grub-efi-arm64 [arm64],
-#	        Unigned bootloader components (Parrot does not support secure boot)
+	shim-signed [amd64 arm64],
+	grub-efi-amd64-signed [amd64],
+	grub-efi-arm64-signed [arm64],
+#	        Signed bootloader components for UEFI Secure Boot
+	grub-efi-amd64-bin [hurd-amd64],
 	grub-efi-arm64-bin [arm64],
 	grub-efi-ia32-bin [hurd-i386 i386],
 	grub-efi-ia64-bin [ia64],
+	grub-efi-loong64-bin [loong64],
 	grub-efi-arm-bin [armhf],
-	grub-common [amd64 arm64 i386], xorriso,
+	grub-efi-riscv64-bin [riscv64],
+	grub-common [amd64 arm64 i386 loong64 riscv64], xorriso,
 #		Used to make EFI bootable images
 	grub-ieee1275-bin [powerpc ppc64 ppc64el sparc sparc64],
 #		IEEE1275 bootloader support.
@@ -126,10 +130,10 @@
 #		U-boot binaries for armel systems
 #
 # Architecture specific build dependencies:
-	tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
+	tofrodos [i386 amd64],
 #		For todos, used on files that need to be accessible from
 #		DOS.
-	mtools [i386 ia64 m68k amd64 armhf arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+	mtools [i386 ia64 loong64 m68k amd64 armhf arm64 riscv64 hurd-i386 hurd-amd64],
 #		mcopy is used to put files onto FAT filesystems w/o
 #		mounting them. Note that patches from #900409 and #900410
 #		are required for a reproducible build (available since
@@ -145,31 +149,28 @@
 #		Used to encrypt a firmware image so an ARM based device
 #		(Thecus N2100) will accept it. Also useful on other
 #		architectures if SSL_CERTS has been set locally.
-	win32-loader (>= 0.7.2) [i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+	win32-loader (>= 0.7.2) [i386 amd64 hurd-i386 hurd-amd64],
 #		Alternative boot method for win32 platforms.
-	makefs (>= 20100306-5+kbsd8u1~) [kfreebsd-any],
-#		Used to create an UFS1 filesystem from a directory tree.
-	grub-pc (>= 2.02~beta2~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+	grub-pc (>= 2.02~beta2~) [hurd-i386 hurd-amd64],
 #		Used as the CD-ROM's bootloader
-	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+	xorriso (>= 1.3.2-1~) [hurd-i386 hurd-amd64],
 #               Used by grub-pc to create the CD-ROM images
-	debian-ports-archive-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
+	debian-ports-archive-keyring [alpha hppa ia64 loong64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
 #		Used for architectures hosted on debian-ports.org
 	librsvg2-bin [any-amd64 any-i386],
 #		Used to convert splash SVG to splash PNG during build
-	fdisk [amd64 arm64 armhf i386],
+	fdisk [amd64 arm64 armhf i386 loong64],
 #		sfdisk is used by util/gen-hd-image when creating SD card
 #		images for arm64 and armhf systems.
 #		fdisk is used is used by util/geniso_hybrid_plus_firmware_partition
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-amd64 [amd64],
-	linux-image-arm64 [arm64],
-	linux-image-686 [i386],
-	linux-image-686-pae [i386],
+	linux-image-6.10.9-amd64 [amd64],
+	linux-image-6.10.9-arm64 [arm64],
+	linux-image-6.10.9-686 [i386],
+	linux-image-6.10.9-686-pae [i386],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
-	parrot-archive-keyring,
 
 Package: debian-installer
 Architecture: any
